.. SPDX-License-Identifier: GPL-2.0+

Flat Image Tree (FIT)
=====================

U-Boot uses Flat Image Tree (FIT) as a standard file format for packaging
images that it reads and boots. Documentation about FIT is available in
`the Flattened Image Tree project <https://fitspec.osfw.foundation/>`_.

.. toctree::
    :maxdepth: 1

    beaglebone_vboot
    howto
    kernel_fdt
    kernel_fdts_compressed
    kernel_fdt_optee
    kernel
    multi
    multi_spl
    multi-with-fpga
    multi-with-loadables
    overlay-fdt-boot
    sec_firmware_ppa
    signature
    sign-configs
    sign-images
    source_file_format
    uefi
    update3
    update_uboot
    verified-boot
    x86-fit-boot